%define rev r2810
%define _desktopdir %{_datadir}/applications

Name: kumir
Version: 1.9.1
Release: %mkrel -c %{rev} 2

Summary: Kumir is a simple programming language and IDE for teaching programming

License: GPLv2
Group: Education
Url: http://lpm.org.ru/kumir

BuildRequires: qt4-devel
BuildRequires: gcc-c++
BuildRequires: python
BuildRequires: pkgconfig(QtWebKit)

Source0: %{name}-%{version}-%{rev}.tar
Source1: %{name}-alt-icons.tar.bz2
Source2: test.vod

Patch0: %{name}-1.9.0-desktop.patch
Patch1: %{name}-1.7.90-x-%{name}-program.desktop.patch
Patch2: %{name}-1.7.1-x-%{name}-program.xml.patch
Patch3: %{name}-1.9.1-build.patch

%description
Implementation of Kumir programming language, designed by academician
Ershov. It has very simple syntax, also known as "Russian algorithmical
language". Includes compiler, runtime, IDE and  modules "Robot", "Draw",
"Turtle" and some others.

%prep
%setup -q -n %{name} -a 1
%autopatch -p1
cp %{SOURCE2} .
find . -type f -name \*.pro |xargs sed -i 's/QMAKE_CXXFLAGS_RELEASE += -O2/QMAKE_CXXFLAGS_RELEASE += %{optflags}/'

%build
chmod a+x configure.py
%configure --prefix=%{buildroot}%{_prefix} --target-dir=%{buildroot}%{_libdir}/%{name}
qmake Addons/Robotor3D/robotor3D.pro PREFIX=%{buildroot}%{_prefix} KUMIR_DIR=%{buildroot}%{_libdir}/%{name}
%make

%install
mkdir -p %{buildroot}%{_bindir}
%make_install install

# Install desktop and mime-info files
install -m 644 -D Kumir/X-Desktop/%{name}.desktop %{buildroot}%{_desktopdir}/%{name}.desktop
install -m 644 -D Kumir/X-Desktop/x-%{name}-program.xml %{buildroot}/%{_datadir}/mime/packages/x-%{name}-program.xml
install -m 644 -D Kumir/X-Desktop/x-%{name}-program.desktop  %{buildroot}/%{_datadir}/mimelnk/application/x-%{name}-program.desktop

# Install icons
mkdir -p %{buildroot}%{_miconsdir}/ %{buildroot}%{_niconsdir}/ %{buildroot}%{_liconsdir}/ %{buildroot}%{_iconsdir}/hicolor/64x64/apps/ %{buildroot}%{_iconsdir}/hicolor/128x128/apps/
install -m 644 app_icons/png/16x16/*.png %{buildroot}%{_miconsdir}/
install -m 644 app_icons/png/32x32/*.png %{buildroot}%{_niconsdir}/
install -m 644 app_icons/png/48x48/*.png %{buildroot}%{_liconsdir}/
install -m 644 app_icons/png/64x64/*.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/
install -m 644 app_icons/png/128x128/*.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/
rm %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
rm %{buildroot}%{_iconsdir}/hicolor/*/apps/pictomir.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/16x16/application-x-%{name}-program.png %{buildroot}%{_iconsdir}/crystalsvg/16x16/mimetypes/application-x-%{name}-program.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/22x22/application-x-%{name}-program.png %{buildroot}%{_iconsdir}/crystalsvg/22x22/mimetypes/application-x-%{name}-program.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/32x32/application-x-%{name}-program.png %{buildroot}%{_iconsdir}/crystalsvg/32x32/mimetypes/application-x-%{name}-program.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/48x48/application-x-%{name}-program.png %{buildroot}%{_iconsdir}/crystalsvg/48x48/mimetypes/application-x-%{name}-program.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/64x64/application-x-%{name}-program.png %{buildroot}%{_iconsdir}/crystalsvg/64x64/mimetypes/application-x-%{name}-program.png
install -m 644 -D Kumir/Images/mime/crystalsvg/mimetypes/scalable/application-x-%{name}-program.svg %{buildroot}%{_iconsdir}/crystalsvg/scalable/mimetypes/application-x-%{name}-program.svg
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/16x16/application-x-%{name}-program.png %{buildroot}%{_iconsdir}/oxygen/16x16/mimetypes/application-x-%{name}-program.png
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/22x22/application-x-%{name}-program.png %{buildroot}%{_iconsdir}/oxygen/22x22/mimetypes/application-x-%{name}-program.png
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/32x32/application-x-%{name}-program.png %{buildroot}%{_iconsdir}/oxygen/32x32/mimetypes/application-x-%{name}-program.png
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/48x48/application-x-%{name}-program.png %{buildroot}%{_iconsdir}/oxygen/48x48/mimetypes/application-x-%{name}-program.png
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/64x64/application-x-%{name}-program.png %{buildroot}%{_iconsdir}/oxygen/64x64/mimetypes/application-x-%{name}-program.png
install -m 644 -D Kumir/Images/mime/oxygen/mimetypes/scalable/application-x-%{name}-program.svg %{buildroot}%{_iconsdir}/oxygen/scalable/mimetypes/application-x-%{name}-program.svg

# Install TaskControl plugin and taskEdit
install -m 644 -D TaskControl/libtaskControl.so  %{buildroot}%{_libdir}/%{name}/TaskControl/libtaskControl.so
install -m 755 taskEdit %{buildroot}%{_libdir}/%{name}/

# Install Painter module
install -m 644 Addons/libpainter.so  %{buildroot}%{_libdir}/%{name}/Addons/
mkdir -p %{buildroot}%{_libdir}/%{name}/Addons/painter/resources/
install -m 644 Addons/painter/resources/* %{buildroot}%{_libdir}/%{name}/Addons/painter/resources/

# Install robot25d module
install -m 644 Addons/librobot25d.so  %{buildroot}%{_libdir}/%{name}/Addons/
mkdir -p %{buildroot}%{_libdir}/%{name}/Addons/robot25d/resources/
install -m 644 Addons/robot25d/resources/* %{buildroot}%{_libdir}/%{name}/Addons/robot25d/resources/

# Install Vodoley default environment
install -m 644 -D test.vod  %{buildroot}%{_libdir}/%{name}/Addons/vodoley/resources/test.vod

# Install turtle.ini file
install -m 644 -D Addons/turtle.ini %{buildroot}%{_libdir}/%{name}/Addons/turtle.ini

# Fix paths to help files
cd %{buildroot}%{_libdir}/%{name}/Kumir
ln -s Help help

# Rename %{name}.png to correct name
cd %{buildroot}/%{_datadir}/pixmaps
mv %{name}.png application-x-%{name}-program.png

# make link in {_bindir}/%{name}
cd %{buildroot}%{_bindir}
rm %{name} kumpluginstarter
ln -s ../..%{_libdir}/%{name}/%{name} %{name}
ln -s ../..%{_libdir}/%{name}/pluginstarter kumpluginstarter

%files
%{_bindir}/*
%{_libdir}/%{name}
%{_desktopdir}/*
%{_iconsdir}/*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/x-%{name}-program.xml
%{_datadir}/mimelnk/application/x-%{name}-program.desktop



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.9.1-0.r2810.2.mga6
+ Revision: 972476
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 alexl <alexl> 1.9.1-0.r2810.1.mga6
+ Revision: 898984
- update to version 1.9.1 (r2810)
- rediff build.patch
- s/patch/autopatch/

* Wed Jan 07 2015 alexl <alexl> 1.9.0-6.mga5
+ Revision: 808972
- updated desktop file

* Sun Nov 16 2014 alexl <alexl> 1.9.0-5.mga5
+ Revision: 797564
- revert wrong commit 612888

* Wed Oct 15 2014 umeabot <umeabot> 1.9.0-4.mga5
+ Revision: 750003
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.0-3.mga5
+ Revision: 681237
- Mageia 5 Mass Rebuild

* Tue Apr 08 2014 alexl <alexl> 1.9.0-2.mga5
+ Revision: 612888
- delete empty file
- fix incorrect author's permissions

* Tue Apr 08 2014 alexl <alexl> 1.9.0-1.mga5
+ Revision: 612881
- imported package kumir

